# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu
import os
from datetime import datetime

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Read recipe inputs
news_folder = dataiku.Folder("70MfeR7L")

path = news_folder.get_path()

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
merged_data = pd.DataFrame()

for sub_path in os.listdir(path):
    with open(os.path.join(path, sub_path)) as f:
        data = pd.read_csv(f)
        data_source = sub_path.split('_')[0]
        if (data_source==dataiku.get_custom_variables()['data_source']):
            data['stock'] = sub_path.split('_')[1]
            data = data.drop(columns=['Unnamed: 0'])
            merged_data = merged_data.append(data)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
merged_data['date'] = [d[:10] for d in merged_data['date']]

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Write recipe outputs
news_data = dataiku.Dataset("news_data")
news_data.write_with_schema(merged_data)