The [Stock Alert System's dashboard](dashboard:1J3K14Z) provides a few visualizations that are built using the DSS charting tools. It contains four tabs:
 
- Alerts: the real time view of the scores by stock.
- Model: the News Scoring Model report.
- Anomalies: the anomalies and time series visualization
- Clusters: the cluster analysis.
 
The alerts slide contains a colored table with the scores aggregated by stock for today's news. It gives a quick snapshot of the current risk by stock. Then the real time output datasets are displayed to go through the news that triggered the alerts.
 
The model slide outputs the coefficients from the logistic regression. In the simple model chosen ([Risk Scoring Model](article:14)), each word has a coefficient. A word with a high positive coefficient means that his presence in the title is associated with a high likelihood of the day being an anomaly for this stock.
 
The anomalies slide gives some insights about the anomaly detection method ([Anomaly Detection](article:12)). The anomalies detected are displayed, then the user can graph the price time series, filtered on the stock of his choice. Finally, the normality tests results are displayed for the stock returns, not all pass it, though they still have a gaussian shape.
 
The clusters slide compares the sector categories with the clusters computed in the flow. On the first graph, a scatter plot with a point per stock, PC1 coordinates on the x axis and PC2 coordinates on the y axis and the color being the sector, locates the stocks on a two-dimensional space. Some patterns are visible: Energy stocks are in the top right corner, Health Care and Utilities are situated mostly in the bottom left corner. Other patterns appear when using other PCs as axes. The second graph shows the prevalence of each sector with each cluster:
 
- Cluster_0 is mostly made of Industrials, Materials and a bit of Consumer Discretionary.
- Cluster_1 is driven by Energy.
- Cluster_2 is about Information Technologies.
- Cluster_3 is a mix of low volatility sectors, Health Care, Utilities, Real Estate, Consumer Staples.
- Cluster_4 has a majority of Financials.
 
![Clusters.png](RC10vw4Qzeca)
 
 

